<?php
/**
 * @package Eroshiksavp theme
 *
 *
 */

 get_header();
 $archive_sidebar_visibility=get_theme_mod('archive_sidebar_visibility',0);
 $archive_sidebar_align=get_theme_mod('archive_sidebar_align','r');
 $archive_sidebar_bg=get_theme_mod('archive_sidebar_bg','#FFFFFF');

 if(empty($archive_sidebar_bg)){
   $archive_sidebar_bg='transparent';
 }
 if(empty($archive_sidebar_align)){
   $archive_sidebar_align='r';
 }
 $container_width=get_theme_mod('layout_full_width',0);
 if($container_width==1){
   $container_width="container-fluid";
 }else{
   $container_width="container";
 }
?>

<div id="main" class="site-main main_content_holder" role="main">
    <div class="<?php echo $container_width; ?> eroshik_savp_posts_container">

<?php   get_template_part('page-top'); ?><!-- get the page_top widget area -->
<div class="container-fluid">
<?php
if ( is_active_sidebar('eroshik-archive-sidebar' ) ){


        if($archive_sidebar_align==='l' && $archive_sidebar_visibility==1){?>
          <div style="background-color:<?php echo esc_attr($archive_sidebar_bg);?>" class="col-sm-3 page_sidebar">
            <?php
                dynamic_sidebar('eroshik-archive-sidebar');
            ?>
          </div><!--page sidebar-->



<?php
}
}
?>




<?php
    //check for page sidebar visibility.
    $page_content_width="col-sm-12";
    if($archive_sidebar_visibility==1){

            $page_content_width="col-sm-9";

    }
?>


      	<div id="primary_no_class" class="<?php echo esc_attr($page_content_width); ?>">
          <header class="page-header">
            <?php
              the_archive_title( '<h1 class="page-title">', '</h1>' );
              the_archive_description( '<div class="taxonomy-description">', '</div>' );
            ?>
          </header><!-- .page-header -->

          <?php if ( have_posts() ) { ?>

            <?php if ( is_home() && ! is_front_page() ) { ?>
              <header>
                <h1 class="page-title"><?php single_post_title(); ?></h1>
              </header>
            <?php } ?>

            <?php
            $post_count = 0;
            // Start the loop.
            while ( have_posts() ) {
              the_post();
              $post_count ++;
              /*
               * Include the Post-Format-specific template for the content.
               * If you want to override this in a child theme, then include a file
               * called content-___.php (where ___ is the Post Format name) and that will be used instead.
               */
              if ( is_int( $post_count / 2 ) ) {
                ?>

                  <?php get_template_part( 'template-parts/content', get_post_format() ); ?>

                <?php
              } else {
                ?>

                  <?php get_template_part( 'template-parts/content', get_post_format() ); ?>

              <?php
              }

              // End the loop.

            }?>
          <div style="    margin-top: 8em;">
            <?php
            the_posts_pagination(
              array(
                'prev_text'          => __( 'Prev', 'eroshiksavp' ),
                'next_text'          => __( 'Next', 'eroshiksavp' ),
              )
            );
            ?>
          </div>

          <div class="clearfix"></div>
          <?php
          }else{
            get_template_part( 'template-parts/content', 'none' );

          }
          ?>

        </div>





              <?php
                if ( is_active_sidebar('eroshik-archive-sidebar' ) ){
                    if($archive_sidebar_align==='r' && $archive_sidebar_visibility==1){?>
                      <div style="background-color:<?php echo esc_attr($archive_sidebar_bg) ;?>" class="col-sm-3 page_sidebar">
                        <?php  dynamic_sidebar('eroshik-archive-sidebar');   ?>
                      </div>
                    <?php }
                  }

             ?>


      </div><!--container-fluid-->
    </div>

</div><!-- main -->
<div class="clearfix"></div>
<?php get_footer(); ?>
