<?php
/**
 * @package Eroshiksavp theme
 *
 *
 */

 ?>
<?php
$custom_logo_id = get_theme_mod( 'custom_logo' );
$logo = wp_get_attachment_image_src( $custom_logo_id , 'full' );
$text_color=esc_attr(get_theme_mod( 'top_bar_text_color' , '#FFFFFF' ));
$text_hover_color=esc_attr(get_theme_mod( 'top_bar_hover_color' , '#FFFFFF' ));
$fixed_menu_css_header=get_theme_mod('fixed_menu',1);

?>

<!-- for tex/font color-->

<style>
  .number_bar  a{
    color:<?php echo $text_color;  ?> !important;
  }
  .number_bar  a:hover{
    color:<?php echo $text_hover_color;  ?> !important;
  }

  .other_menu  a{
    color:<?php echo $text_color; ?> !important;
  }
  .other_menu  a:hover{
    color:<?php echo $text_hover_color; ?> !important;
  }

  .icons_bar  a{
    color:<?php echo $text_color; ?> !important;
  }
  .icons_bar  a:hover{
    color:<?php echo $text_hover_color; ?> !important;
  }


</style>

<?php if(get_theme_mod('top_bar_visibility',1)==1){ ?>
  <div id="<?php echo ($fixed_menu_css_header==1 ? 'primary_header_top_bar':'') ?>" style="background-color:<?php echo esc_attr(get_theme_mod('top_bar_bg','#5a5560'));  ?>" class="container-fluid top_bar">
<div class="col-xs-12">
<?php if ( has_custom_logo() ) {?>
    <div class="brand_logo col-xs-3">
        <div class="brand_logo_bg" style="background-image:url(<?php echo esc_url( $logo[0] ); ?>)">

        </div><!-- brand_logo_bg-->
    </div><!--brand_logo-->
<?php  } ?>

<?php
  $hbg=get_theme_mod('phone_number','xxx-xxx-xxx');
  $update_header_top_bar_email=get_theme_mod('email',"youremail@example.com");
  if(!empty($hbg) || !empty($update_header_top_bar_email)){?>
    <div class="col-xs-6 number_bar">
         <font class="number_e_container" >
           <a href="#">
              <i class="fa fa-phone" ></i>
                <?php echo esc_html(get_theme_mod('phone_number',__('000-000-100-0','eroshiksavp'))); ?>
              </a>
          </font>

         <font class="number_e_container" id="contact_email">
           <a  href="mailto:<?php echo esc_attr($update_header_top_bar_email); ?>">
             <i class="fa fa-envelope"></i>
         <?php echo esc_html($update_header_top_bar_email); ?>
           </a>
         </font>
    </div>
<?php   }?>



    <?php if(get_theme_mod('social_icons_visibility',1)==1){ ?>
     <div class="icons_bar col-xs-3">
        <ul class="social_icons_list">

          <?php $update_header_top_bar_facebook=get_theme_mod('facebook_handler','#'); if(!empty($update_header_top_bar_facebook)){?>
            <li><a target="_blank" href="<?php echo esc_url($update_header_top_bar_facebook); ?>"><i class="fa fa-facebook"></i> </a></li>
          <?php } ?>
          <?php $update_header_top_bar_twitter=get_theme_mod('twitter_handler','#'); if(!empty($update_header_top_bar_twitter)){?>
            <li><a target="_blank" href="<?php echo esc_url($update_header_top_bar_twitter); ?>"><i class="fa fa-twitter"></i> </a></li>
          <?php } ?>
          <?php $update_header_top_bar_linkedin=get_theme_mod('linkedin_handler','#'); if(!empty($update_header_top_bar_linkedin)){?>
            <li><a target="_blank" href="<?php echo esc_url($update_header_top_bar_linkedin); ?>"><i class="fa fa-linkedin"></i> </a></li>
          <?php } ?>
          <?php
          $update_header_top_bar_instagram=get_theme_mod('instagram_handler','#');
          if(!empty($update_header_top_bar_instagram)){?>
            <li><a target="_blank" href="<?php echo esc_url($update_header_top_bar_instagram); ?>"><i class="fa fa-instagram"></i> </a></li>
          <?php } ?>
          <?php
            $update_header_top_bar_skype=get_theme_mod('skype_handler','#');
           if(!empty($update_header_top_bar_skype)){?>
            <li><a target="_blank" href="<?php echo esc_url($update_header_top_bar_skype); ?>"><i class="fa fa-skype"></i> </a></li>
          <?php } ?>
          <?php
            $update_header_top_bar_rss=get_theme_mod('rss_handler','#');
          if(!empty($update_header_top_bar_rss)){?>
            <li><a target="_blank" href="<?php echo esc_url($update_header_top_bar_rss); ?>"><i class="fa fa-rss"></i> </a></li>
          <?php } ?>
          <?php
           $update_header_top_bar_google_plus=get_theme_mod('google_plus_handler','#');
           if(!empty($update_header_top_bar_google_plus)){?>
            <li><a target="_blank" href="<?php echo esc_url($update_header_top_bar_google_plus); ?>"><i class="fa fa-google-plus"></i> </a></li>
          <?php } ?>
          <?php
           $update_header_top_bar_pinterest=get_theme_mod('pinterest_handler','#');
          if(!empty($update_header_top_bar_pinterest)){?>
            <li><a target="_blank" href="<?php echo esc_url($update_header_top_bar_pinterest); ?>"><i class="fa fa-pinterest"></i> </a></li>
          <?php } ?>
          <?php
           $update_header_top_bar_youtube=get_theme_mod('youtube_handler','#');
          if(!empty($update_header_top_bar_youtube)){?>
            <li><a target="_blank" href="<?php echo esc_url($update_header_top_bar_youtube); ?>"><i class="fa fa-youtube"></i> </a></li>
          <?php } ?>
        </ul>
     </div><!--icons_bar-->
   <?php } ?>
 </div>


  </div><!-- top bar -->
<?php }else{?>
<style>
.nav_sticky{
  top:0em !important;
}
</style>

<?php }
?>
