<?php
/**
 * @package Eroshiksavp theme
 *
 *
 */
	get_header();
	$blog_sidebar_visibility=get_theme_mod('blog_sidebar_visibility',0);
  $blog_sidebar_align=get_theme_mod('blog_sidebar_align','r');
  $blog_sidebar_visibility_home=get_theme_mod('blog_sidebar_visibility_on_home',0);
  $sidebar_bg=get_theme_mod('blog_sidebar_bg','#FFFFFF');
  if(empty($sidebar_bg)){
    $sidebar_bg='transparent';
  }
  if(empty($blog_sidebar_align)){
    $blog_sidebar_align='r';
  }
	$container_width=get_theme_mod('layout_full_width',0);
	if($container_width==1){
		$container_width="container-fluid";
	}else{
		$container_width="container";
	}
 ?>




 <div id="main" class="site-main main_content_holder" role="main">
		 <div class="<?php echo $container_width; ?> eroshik_savp_posts_container">
 		 		<div class="container-fluid">


					<?php
					if ( is_active_sidebar('eroshik-blog-sidebar' ) ){
					  if(is_front_page()){
					    if($blog_sidebar_visibility_home==1){
					        if($blog_sidebar_align==='l' && $blog_sidebar_visibility==1){?>
					          <div style="background-color:<?php echo esc_attr($sidebar_bg);?>" class="col-sm-3 page_sidebar">
					            <?php
					                dynamic_sidebar('eroshik-blog-sidebar');
					            ?>
					          </div><!--page sidebar-->
					        <?php }
					    }
					  }else{
					    if($blog_sidebar_align==='l' && $blog_sidebar_visibility==1){ ?>
					      <div style="background-color:<?php echo esc_attr($sidebar_bg) ;?>" class="col-sm-3 page_sidebar">
					        <?php
					            dynamic_sidebar('eroshik-blog-sidebar');
					        ?>
					      </div><!--page sidebar-->
					    <?php }
					  }
					}
					?>




					<?php
					    //check for page sidebar visibility.
					    $page_content_width="col-sm-12";
					    if($blog_sidebar_visibility==1){
					      if(is_front_page()){
					        if($blog_sidebar_visibility_home==1){
					            $page_content_width="col-sm-9";
					       }
					     }else{
					            $page_content_width="col-sm-9";
					     }
					    }
					?>






	<div id="primary_no_class" class="<?php echo esc_attr($page_content_width); ?>">
						<?php
							if( have_posts() ){

								while( have_posts() ){
									the_post();

									get_template_part( 'template-parts/single', get_post_format() );
									posts_nav_link();




								}

							}

						?>
		</div>
			<?php
			if ( is_active_sidebar('eroshik-blog-sidebar' ) ){
				if(is_front_page()){
					if($blog_sidebar_visibility_home==1){
							if($blog_sidebar_align==='r' && $blog_sidebar_visibility==1){?>
								<div style="background-color:<?php echo esc_attr($sidebar_bg) ;?>" class="col-sm-3 page_sidebar">
									<?php

												dynamic_sidebar('eroshik-blog-sidebar');

										 ?>
								</div><!--page sidebar-->
							<?php }
					}
				}else{
					if($blog_sidebar_align==='r' && $blog_sidebar_visibility==1){ ?>
						<div style="background-color:<?php echo esc_attr($sidebar_bg) ;?>" class="col-sm-3 page_sidebar">
							<?php

								 dynamic_sidebar('eroshik-blog-sidebar');

							?>
						</div><!--page sidebar-->
					<?php }
				}
			}?>



		</div><!-- container-fluid -->
			</div><!-- .container -->
		</div><!-- main -->

<?php get_footer(); ?>
