<?php
  /**
  *  @package Eroshiksavp theme

  */


 if (!has_post_thumbnail())
 { ?>
 <article id="post-<?php the_ID(); ?>" <?php post_class( 'eroshik_savp_gallery_format' ); ?>>
 	<header class="entry_header text-center">

 		<?php if( eroshik_savp_get_attachment()){ ?>

 			<div id="post-gallery-<?php the_ID(); ?>" class="carousel slide eroshik_savp_carousel_thumb" data-ride="carousel">

 				<div class="carousel-inner" role="listbox">

 					<?php
 						$attachments = eroshik_savp_get_bs_slides( eroshik_savp_get_attachment(7) );

 						foreach( $attachments as $attachment ){
 					     ?>

 						<div class="item<?php echo esc_attr($attachment['class']); ?> bg_image featured_image" style="background-image: url( <?php echo esc_url($attachment['url']); ?> );">

 							<div class="hide next-image-preview" data-image="<?php echo esc_url($attachment['next_img']); ?>"></div>
 							<div class="hide prev-image-preview" data-image="<?php echo esc_url($attachment['prev_img']); ?>"></div>

 							<div class="entry_excerpt image_caption">
 								<p><?php echo esc_html($attachment['caption']); ?></p>
 							</div>

 						</div>

 					<?php } ?>

 				</div><!-- .carousel-inner -->

 				<a class="left carousel-control" href="#post-gallery-<?php the_ID(); ?>" role="button" data-slide="prev">
 					<div class="table">
 						<div class="table_cell">

 							<div class="preview-container">
 								<span class="thumbnail-container bg_image"></span>
 								<i class="fa fa-chevron-left" aria-hidden="true"></i>
 								<span class="sr-only"><?php echo __('Previous','eroshiksavp'); ?></span>
 							</div><!-- .preview-container -->

 						</div><!-- .table-cell -->
 					</div><!-- .table -->
 				</a>
 				<a class="right carousel-control" href="#post-gallery-<?php the_ID(); ?>" role="button" data-slide="next">
 					<div class="table">
 						<div class="table_cell">

 							<div class="preview-container">
 								<span class="thumbnail-container bg_image"></span>
 								<i class="fa fa-chevron-right" aria-hidden="true"></i>
 								<span class="sr-only"><?php  echo __('Next','eroshiksavp'); ?></span>
 							</div><!-- .preview-container -->

 						</div><!-- .table-cell -->
 					</div><!-- .table -->
 				</a>

 			</div><!-- .carousel -->

 		<?php } ?>

 		<?php the_title( '<h1 class="entry_title"><a href="'. esc_url( get_permalink() ) .'" rel="bookmark">', '</a></h1>'); ?>

 		<div class="entry_meta">
 			<?php  eroshik_savp_posted_meta(); ?>
 		</div>

 	</header>

 	<div class="entry-content">

 		<div class="entry_excerpt">
 			<?php the_excerpt(); ?>
 		</div>

 		<div class="button_container text-center">
 			<a href="<?php the_permalink(); ?>" class="btn btn_eroshik"><?php echo __( 'Read More','eroshiksavp' ); ?></a>
 		</div>

 	</div><!-- .entry-content -->

 	<footer class="entry_footer">
 		<?php  eroshik_savp_posted_footer(); ?>
 	</footer>

 </article>
<?php
}
else
{ ?>
  <article id="post_<?php the_ID(); ?>">

    <header class="entry_header text-center">
      <?php the_title('<h1 class="entry_title"><a href="'.esc_url(get_permalink()).'" rel="bookmark">','</h1>'); ?>
      <div class="entry_meta">
        <?php  eroshik_savp_posted_meta(); ?>
      </div>
    </header>
    <div class="entry-content">
      <?php if(has_post_thumbnail()){
            $f_image=wp_get_attachment_url(get_post_thumbnail_id(get_the_id()));
      ?>
        <a class="featured_image_link" href="<?php the_permalink(); ?>">
          <div class="featured_image bg_image" style="background-image:url(<?php echo esc_url($f_image); ?>)">

          </div><!--featured_iamge-->
        </a>
      <?php } ?>
          <div class="entry_excerpt">
            <?php the_excerpt(); ?>
          </div><!--entry_excerpt-->

      <div class="button_container text-center">
         <a href="<?php the_permalink();?>" class="btn btn_eroshik"><?php  echo __( 'Read More','eroshiksavp' );?></a>
      </div>
    </div><!-- entry-content-->
    <footer  class="entry_footer">
      <?php  eroshik_savp_posted_footer(); ?>
    </footer>
<?php } ?>
